Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.query.exp
Class BindValueVariableExpression

    java.lang.Object
      |
      +--com.solarmetric.rd.kodo.query.exp.InMemoryExpression
            |
            +--com.solarmetric.rd.kodo.query.exp.BindVariableExpression
                  |
                  +--com.solarmetric.rd.kodo.query.exp.BindValueVariableExpression

All Implemented Interfaces:
  Expression

public class BindValueVariableExpression
extends BindVariableExpression

`BindVariableExpression` for map value collections.

Constructor Summary
`BindValueVariableExpression(com.solarmetric.rd.kodo.query.exp.BoundVariable var, com.solarmetric.rd.kodo.query.exp.InMemoryValue val)` Constructor.

Method Summary
`protected java.util.Collection` | `getCollection(java.lang.Object values)` Return a collection for the given object, produced by `eval`'ing the value of this expression.

Methods inherited from class com.solarmetric.rd.kodo.query.exp.BindVariableExpression
`getVariable, getVariableValues`

Methods inherited from class com.solarmetric.rd.kodo.query.exp.InMemoryExpression
`eval, evaluate, order`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BindValueVariableExpression

    public BindValueVariableExpression(com.solarmetric.rd.kodo.query.exp.BoundVariable var,
                                       com.solarmetric.rd.kodo.query.exp.InMemoryValue val)

  Constructor.

Parameters:
  `var` - the bound variable
  `val` - the value the variable is bound to

Method Detail

### getCollection

    protected java.util.Collection getCollection(java.lang.Object values)

  Description copied from class: `BindVariableExpression`
  Return a collection for the given object, produced by `eval`'ing the value of this expression. Simply casts the object to a collection by default.

  Overrides:
    `getCollection` in class `BindVariableExpression`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.